#include <stdio.h>
#include <stdarg.h>
#include <poll.h>
#include <psmb.h>

static void logprt(void *log_priv, int priority, const char *format, ...)
{
	va_list ap;
	va_start(ap, format);
	(void)vfprintf(stderr, format, ap);
	(void)fprintf(stderr, "\n");
	va_end(ap);
}

int main(int argc, char *argv[], char *envp[])
{
	psmb_result_t res;
	psmb_ctx_t *ctx = psmb_new();

	printf("created psmb at %p\n", ctx);
	res = psmb_set_logf(ctx, logprt, NULL);
	res = psmb_open(ctx);
	res = psmb_subscribe(ctx, "test-channel");
	res = psmb_unsubscribe(ctx, "test-channel");
	psmb_destroy(ctx);
	return psmb_success(res);
}
